Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class CrossReference.XRefRoot

    java.lang.Object
      org.jbehave.core.reporters.CrossReference.XRefRoot

Enclosing class:
  CrossReference

    public static class CrossReference.XRefRoot

extends Object

Field Summary
`protected String` | `createdBy`
`protected String` | `metaFilter`
`protected long` | `whenMade`

Constructor Summary
`CrossReference.XRefRoot()`

Method Summary
`protected void` | `addStepMatches(Map<String,CrossReference.StepMatch> stepMatchMap)`
`protected String` | `createdBy()`
`protected CrossReference.XRefStory` | `createXRefStory(StoryReporterBuilder storyReporterBuilder, Story story, boolean passed)` Override this is you want to add fields to the JSON.
`protected CrossReference.XRefStory` | `createXRefStory(StoryReporterBuilder storyReporterBuilder, Story story, boolean passed, CrossReference.XRefRoot root)` Ensure that XRefStory is instantiated completely, before secondary methods are invoked (or overridden)
`protected Long` | `getTime(Map<String,Long> times, Story story)`
`protected void` | `processStories(List<org.jbehave.core.reporters.CrossReference.StoryHolder> stories, Set<String> stepsPerformed, Map<String,Long> times, StoryReporterBuilder builder, Set<String> failures)`
`void` | `setExcludeStoriesWithNoExecutedScenarios(boolean exclude)`
`protected boolean` | `someScenarios(Story story, Set<String> stepsPerformed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### whenMade

    protected long whenMade

### createdBy

    protected String createdBy

### metaFilter

    protected String metaFilter

Constructor Detail

### CrossReference.XRefRoot

    public CrossReference.XRefRoot()

Method Detail

### setExcludeStoriesWithNoExecutedScenarios

    public void setExcludeStoriesWithNoExecutedScenarios(boolean exclude)

### createdBy

    protected String createdBy()

### processStories

    protected void processStories(List<org.jbehave.core.reporters.CrossReference.StoryHolder> stories,
                                  Set<String> stepsPerformed,
                                  Map<String,Long> times,
                                  StoryReporterBuilder builder,
                                  Set<String> failures)

### getTime

    protected Long getTime(Map<String,Long> times,
                           Story story)

### someScenarios

    protected boolean someScenarios(Story story,
                                    Set<String> stepsPerformed)

### createXRefStory

    protected final CrossReference.XRefStory createXRefStory(StoryReporterBuilder storyReporterBuilder,
                                                             Story story,
                                                             boolean passed,
                                                             CrossReference.XRefRoot root)

  Ensure that XRefStory is instantiated completely, before secondary methods are invoked (or overridden)

### createXRefStory

    protected CrossReference.XRefStory createXRefStory(StoryReporterBuilder storyReporterBuilder,
                                                       Story story,
                                                       boolean passed)

  Override this is you want to add fields to the JSON. Specifically, create a subclass of XRefStory to return.

  Parameters:
    `storyReporterBuilder` - the story reporter builder
    `story` - the story
    `passed` - the story passed (or failed)
  Returns:
    An XRefStory

### addStepMatches

    protected void addStepMatches(Map<String,CrossReference.StepMatch> stepMatchMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.